# Memcached::touch

(PECL memcached >= 2.0.0)

Memcached::touch — Set a new expiration on an item

### Beschreibung

public Memcached::touch(string `$key`, int `$expiration` = 0): bool

Memcached::touch() sets a new expiration value on the given key.

### Parameter-Liste

`key`

  Der Schlüssel, unter dem der Wert abgelegt werden soll.

`expiration`

  Die Verfallszeit, Vorgabewert ist 0. Siehe Verfallszeiten für weiterführende Informationen.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben. Benutzen Sie wenn nötig Memcached::getResultCode().

### Siehe auch

- Memcached::touchByKey() - Set a new expiration on an item on a specific server

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open